<?php
use yii\helpers\ArrayHelper;
use yii\bootstrap4\BootstrapPluginAsset;

BootstrapPluginAsset::register($this);
?>



<?php $this->beginPage() ?>
<!doctype html>
<html lang="en">
  <head>
    <?= \yii\helpers\Html::csrfMetaTags() ?>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">  
    <title><?= \yii\helpers\Html::encode($this->title) ?></title>

    <?php $this->head() ?>
    <!-- Favicons -->

    <meta name="theme-color" content="#563d7c">


    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }
      h3, h4 {
        border-bottom: 1px solid #b9b9b9;
        padding-bottom: 10px;
    }
    footer {
        text-align: center;
        background: #e9ecef;
        padding-top: 15px;
    }
    .gohome {
        position: absolute;
        top: 40px;
        left: 40px;
        cursor: pointer;
    }

    .gohome svg {
        width: 2em;
        height: 2em;
        color: #838586;
    }
    .gohome svg:hover {
        color: black;
    }
    ul.pagination {
        justify-content: center;
    }

    ul.pagination li {
        background: #e9ecef;
        margin: 5px;
        padding: 5px 10px;
        border-radius: 3px;
    }

    ul.pagination li a, ul.pagination li a:visited {
        color: black;
        text-decoration: none;
    }

    ul.pagination li:hover {
        background: #a7a7a7;
    }

    ul.pagination li.active {
        background: #969696;
    }
    footer {
        position: fixed;
        width: 100%;
        bottom: 0;
        right: 0;
        left: 0;
    }

    main {
        margin-bottom: 100px;
    }
    </style>
  </head>
  <body>
    <?php $this->beginBody() ?>    
    <?php if (Yii::$app->request->url != '/') : ?>
        <div class="gohome">
            <a href="/">
                <svg class="bi bi-house" width="1em" height="1em" viewBox="0 0 16 16" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                  <path fill-rule="evenodd" d="M2 13.5V7h1v6.5a.5.5 0 0 0 .5.5h9a.5.5 0 0 0 .5-.5V7h1v6.5a1.5 1.5 0 0 1-1.5 1.5h-9A1.5 1.5 0 0 1 2 13.5zm11-11V6l-2-2V2.5a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5z"/>
                  <path fill-rule="evenodd" d="M7.293 1.5a1 1 0 0 1 1.414 0l6.647 6.646a.5.5 0 0 1-.708.708L8 2.207 1.354 8.854a.5.5 0 1 1-.708-.708L7.293 1.5z"/>
                </svg>
            </a>
        </div>
    <?php endif;?>
    <main role="main">

      
      <div class="jumbotron">
        <div class="container">
          <h1 class="display-3"><?= \yii\helpers\Html::encode($this->title) ?></h1>          
        </div>
      </div>

      <div class="container">
        
        <?=$content?>

        <hr>

      </div> <!-- /container -->

    </main>

<footer>
    <div class="container">
        <div class="row">
            <div class="col-md-4">
                <a href="/docs">Документация</a>
            </div>
            <div class="col-md-4">
                <a href="/backend">Backend</a>
            </div>
            <div class="col-md-4">
                <a href="https://poravinternet.ru">Первый интернет-проект</a></p>
            </div>
        </div>
    </div>
</footer>
<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>