<?php

$config = [
    'id' => 'gitpf',
    'basePath' => realpath(__DIR__ . '/../'),
    'name' => 'GITPF',
    'timeZone' => 'Europe/Moscow',
    'language' => 'ru-RU',
    'aliases' => [
        '@frontendUrl' => 'https://gitpf.poravinternet.ru',
        '@backendUrl' => 'https://gitpf.poravinternet.ru/backend',
        '@staticUrl' => 'https://gitpf.poravinternet.ru/static',
    ],
    'params' => [
        'updateUrl' => 'https://gitpf.poravinternet.ru/version',
        'updateReportUrl' => 'https://gitpf.poravinternet.ru/update/log/remote',
        'updateChangeLogUrl' => 'https://gitpf.poravinternet.ru/core/index/version-history',
    ],
    'components' => [
        'formatter' => [
            'defaultTimeZone' => 'Europe/Moscow',
            'nullDisplay' => '',
            'numberFormatterOptions' => [
                NumberFormatter::MIN_FRACTION_DIGITS => 0,
                NumberFormatter::MAX_FRACTION_DIGITS => 2,
            ],
        ],
        'gitlab' => [
            'class' => \app\gitlab\components\GitlabApi::class,
            'noHooks' => false,
        ],
        'planfix' => [
            'class' => \app\planfix\components\PlanfixApi::class,
        ],
        'queue' => [
            'class' => \yii\queue\db\Queue::class,
            'db' => 'db', // DB connection component or its config
            'tableName' => '{{%queue}}', // Table name
            'channel' => 'default', // Queue channel key
            'mutex' => \yii\mutex\MysqlMutex::class, // Mutex used to sync queries
            'ttr' => 86400,
        ],
        'log' => [
            'targets' => [
                [
                    'class' => 'notamedia\sentry\SentryTarget',
                    'dsn' => 'https://7e728197e67141a0a81d22d346d4fadc@sentry.poravinternet.ru/16',
                    'levels' => ['error', 'warning'],
                    'context' => true // Write the context information. The default is true.
                ],
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                    'categories' => [
                        // 'yii\db\*',
                        // 'yii\web\HttpException:*',
                    ],
                    'except' => [
                        'yii\web\HttpException:404',
                    ],
                ]
            ],
        ],
       
    ]
];

if (YII_ENV_DEV) {
    $config['bootstrap'][] = 'gii';
    $config['modules']['gii'] = [
        'class' => 'yii\gii\Module',
        'allowedIPs' => ['*'],
    ];
}

return $config;
