<?php

use yii\helpers\Html;
use kartik\form\ActiveForm;
use platform\widgets\Card;
use app\core\models\IssueComment;
use app\core\models\Issue;
use app\core\models\Project;
use kartik\widgets\FileInput;

/* @var $this yii\web\View */
/* @var $model amylabs\user\models\Profile */

$this->title = 'Обновить профиль';

$this->params['breadcrumbs'][] = ['label' => 'Пользователи', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->user->username, 'url' => ['view', 'id' => $model->user->id]];
$this->params['breadcrumbs'][] = $this->title;


$tasks = [];

$comments = IssueComment::find()->where(['creator_id' => $user->id])->select(['issue_id'])->all();
$initIssue = Issue::findOne($user->init_issue_id);
$initProject = Project::findOne($user->init_project_id);

foreach ($comments as $comment) {
    if (!isset($tasks[$comment->issue_id])) {
        $tasks[$comment->issue_id] = 0;
    }
    $tasks[$comment->issue_id] += 1;
}
?>

<div class="row">
    <div class="col-sm-6">
        <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]); ?>
        <?php Card::begin([
            'footer' => Html::submitButton('Сохранить', ['class' => 'btn btn-primary']),
        ]); ?>
        <?= $form->field($model, 'uploadedAvatar')->widget(FileInput::class, ['options' => ['accept' => 'image/*', 'placeholder' => 'Выберите файл'],
             'pluginOptions' => [
                'initialPreview'=> $model->avatar? [ $model->avatar ] : [],
                'initialPreviewAsData'=> true,
                'overwriteInitial'=>true,
                'cancelIcon' => '<i class="fa fa-ban"></i> ',
                'browseIcon' => '<i class="fa fa-folder-open"></i> ',
                'removeIcon' => '<i class="fa fa-trash"></i> '
             ]
        ]) ?>
        <?= $form->field($model, 'last_name')->textInput() ?>
        <?= $form->field($model, 'first_name')->textInput() ?>
        <?= $form->field($model, 'middle_name')->textInput() ?>
        <?= $form->field($model, 'phone')->textInput() ?>
        <?= $form->field($user, 'email')->textInput() ?>
        <?php Card::end() ?>
        <?php ActiveForm::end(); ?>
    </div>

    <div class="col-md-6">
        <?php Card::begin([
            'title' => 'Активность'
        ]); ?>
        <?php if ($initIssue) : ?>
            <p>Происхождение: <?=$initIssue->project->title?> / <?=$initIssue->title?></p>
        <?php endif;?>
        <?php if ($initProject) : ?>
            <p>Происхождение: <?=$initProject->title?></p>
        <?php endif;?>
        <ul>
            <?php foreach ($tasks as $id => $count) :?>
                <?php
                if (!$id || !$issue = Issue::findOne($id)) {
                    continue;
                }
                ?>
                <li><?=$issue->project->title?> / <?=$issue->title?> - <?=$count?> комментариев</li>
            <?php endforeach; ?>
        </ul>
        <?php Card::end(); ?>
    </div>
</div>
