<?php
namespace app\core;

use Yii;
use yii\base\Application;
use yii\base\BootstrapInterface;
use app\core\assets\QueueAsset;
use platform\models\User;
use app\core\jobs\TestJob;

class Bootstrap implements BootstrapInterface
{
    /**
     * @param Application $app the application currently running
     */
    public function bootstrap($app)
    {
        QueueAsset::register(Yii::$app->view);

        if (!Yii::$app->settings->get('app.core', 'queue-test', null)) {
            Yii::$app->settings->set('app.core', 'queue-test', 'started');
            Yii::$app->queue->push(new TestJob());
        }

        if (Yii::$app->settings->get('app.core', 'queue-test', null) === 'started') {
            Yii::$app->session->setFlash('error', 'Запущена проверка очереди. Если это сообщение не исчезает в течении 5 минут, проверьте правильность настройки очереди согласно <a href="/docs#queue">документации</a>');
        }

        if (Yii::$app->settings->get('app.core', 'cron-test', 0) < time() - 120) {
            Yii::$app->session->setFlash('warning', 'Последний запуск cron-worker`а был более 2 минут назад, проверьте правильность настройки cron согласно <a href="/docs#queue">документации</a>');
        }
    }
}
