<?php

namespace app\core\backend\controllers;

use Yii;
use app\core\models\Planfix;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * PlanfixController implements the CRUD actions for Planfix model.
 */
class PlanfixController extends Controller
{
   
    public function actionIndex($stage = 1)
    {
        $model = $this->findModel();
        $stage = Yii::$app->request->post('stage', $stage);
        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            Yii::$app->cache->flush();
            if ($stage > 4) {
                return $this->redirect(['/']);
            }
            return $this->render('update', [
                'model' => $model,
                'stage' => (int)$stage,
            ]);
        } else {
            if ($stage > 4) {
                $stage = 4;
            }
            return $this->render('update', [
                'model' => $model,
                'stage' => (int)$stage,
            ]);
        }
    }


    /**
     * Finds the Planfix model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Planfix the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel()
    {
        if (($model = Planfix::find()->one()) !== null) {
            return $model;
        } else {
            $model = new Planfix();
            $model->save();

            return $model;
        }
    }
}
