<?php

namespace app\core\backend\controllers;

use platform\models\User;
use Yii;
use yii\filters\VerbFilter;
use yii\helpers\ArrayHelper;
use yii\web\NotFoundHttpException;
use yii\web\Controller;

/**
 * UserController implements the CRUD actions for User model.
 */
class UserBackendController extends \yii\web\Controller
{

    

    /**
     * Updates an existing user Profile model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param $id
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException
     */
    public function actionProfile($id)
    {
        $user = $this->findModel($id);
        $model = $user->profile;

        if (!$model) {
            throw new NotFoundHttpException();
        }

        if ($model->load(Yii::$app->getRequest()->post()) && $model->save() && $user->load(Yii::$app->getRequest()->post()) && $user->save()) {
            Yii::$app->getSession()->setFlash('success', Yii::t('amylabs.user', 'Profile updated!'));

            return $this->redirect(['profile', 'id' => $model->user_id]);
        } else {
            return $this->render('profile', [
                'model' => $model,
                'user' => $user,
            ]);
        }
    }

    private function findModel($id)
    {
        $user = User::findOne($id);

        if (!$user) {
            throw new NotFoundHttpException('User not found');
        }

        return $user;
    }
}
