<?php

use yii\helpers\Html;
use kartik\form\ActiveForm;
use platform\widgets\Card;

/* @var $this yii\web\View */
/* @var $model app\core\models\Planfix */
/* @var $form yii\widgets\ActiveForm */
/* @var $stage integer*/

$cache = Yii::$app->cache;

?>

<div class="row">
    <div class="col-sm-12">
        <div class="planfix-form">
            <?php $form = ActiveForm::begin(); ?>
            <?php Card::begin([
            'footer' => Html::submitButton('Далее', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn
            btn-primary']) . ($stage > 1? Html::a(Html::tag('button', 'Назад', ['class' => 'btn btn-secondary', 'type' => 'button']), ['index', 'stage' => $stage -1], ['style' => 'float: right;']) : '')
            ]); ?>
            <div class="docs-hint">
                <a href="/docs#planfix-connection">Документация</a>
            </div>
            <?php try { ?>
                <?=$this->render('_stage' . $stage, ['form' => $form, 'model' => $model, 'stage' => $stage, 'cache' => $cache])?>
            <?php } catch (Exception $e) {
                Yii::$app->session->setFlash('danger', 'Ошибка подключения ' . $e->getMessage());
                echo '<p>Ошибка подключения. Вернитесь на шаг назад</p>';
            }?>
            <?=Html::input('hidden', 'stage', $stage + 1)?>
            

    
            <?php Card::end(); ?>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>