<?php

use yii\helpers\Html;
use platform\widgets\Card;
use yii\grid\GridView;
use yii\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $searchModel app\core\models\ProjectSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Проекты';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="project-index">
    <?php Card::begin([
        'title' => 'Список',
        'tools' => Html::a('<i class="fa fa-plus-circle"></i> Сопоставление', ['/core/project/index'], ['class' => 'btn btn-primary']) .
        Html::a('<i class="fa fa-plus-circle"></i> Импорт', ['/core/project/index', 'import' => 1], ['class' => 'btn btn-secondary ml-2'])
    ]); ?>
    <div class="docs-hint">
        <a href="/docs#project-mapping">Документация</a>
    </div>

    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
    <?php Pjax::begin(); ?>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [

            // 'id',
            'title',
            'gitlab_id',
            'planfix_id',
            [
                'label' => 'Соответсвие статусов',
                'format' => 'raw',
                'value' => function ($model) {
                    return Html::a('Настроить', ['/core/status/index', 'project_id' => $model->id], ['class' => 'btn btn-link', 'data-pjax' => '0']);
                }
            ],
            
            // 'description:ntext',
            // 'owner_id',
            // 'lead_developer_id',
            // 'gitlab_url:url',
            // 'token',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
    <?php Pjax::end(); ?>
    <?php Card::end(); ?>
</div>
