<?php
use yii\helpers\Url;
use kartik\select2\Select2;
use platform\widgets\Card;

/* @var $this yii\web\View */
/* @var $model app\core\models\Gitlab */

$this->title = 'Импорт проектов';
$this->params['breadcrumbs'][] = ['label' => 'Проекты', 'url' => ['/core/project-list/index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<?=$error?>
<form action="<?=Url::to(['import'])?>" method="POST">
    <input type="hidden" name="<?=Yii::$app->request->csrfParam; ?>" value="<?=Yii::$app->request->getCsrfToken(); ?>" />
    <div class="row">
        <div class="col-md-12 mb-3">
            <button type="submit" class="btn btn-primary">Выполнить</button>
        </div>
        <div class="col-md-6">
            <?php Card::begin(['title' => 'Проекты Планфикс']);?>
            <?php foreach ($planfixProjects as $id => $project) : ?>            
                <div class="form-check">
                  <input class="form-check-input" type="checkbox" value="yes" id="pf-project-<?=$id?>" name="pf-projects[<?=$id?>]">
                  <label class="form-check-label" for="pf-project-<?=$id?>">
                    <?=$project?>
                  </label>
                </div>
                <div class="ml-5">
                    <div class="form-check">
                      <input class="form-check-input" type="checkbox" value="yes" id="pf-project-tasks-<?=$id?>" name="pf-projects-tasks[<?=$id?>]">
                      <label class="form-check-label" for="pf-project-tasks-<?=$id?>">
                        Импортировать задачи
                      </label>
                    </div>
                </div>
            <?php endforeach;?>
            <?php Card::end(); ?>
        </div>
        <div class="col-md-6">
            <?php Card::begin(['title' => 'Проекты Gitlab']);?>
            <?php foreach ($gitlabProjects as $id => $project) : ?>            
                <div class="form-check">
                  <input class="form-check-input" type="checkbox" value="yes" id="project-<?=$id?>" name="gl-projects[<?=$id?>]">
                  <label class="form-check-label" for="project-<?=$id?>">
                    <?=$project?>
                  </label>
                </div>
                <div class="ml-5">
                    <div class="form-check">
                      <input class="form-check-input" type="checkbox" value="yes" id="gl-project-tasks-<?=$id?>" name="gl-projects-tasks[<?=$id?>]">
                      <label class="form-check-label" for="gl-project-tasks-<?=$id?>">
                        Импортировать задачи
                      </label>
                    </div>
                </div>
            <?php endforeach;?>
            <?php Card::end(); ?>
        </div>
        <div class="col-md-12">
            <button type="submit" class="btn btn-primary">Выполнить</button>
        </div>
    </div>

</form>