<?php
use yii\helpers\Url;
use kartik\select2\Select2;
use platform\widgets\Card;

/* @var $this yii\web\View */
/* @var $model app\core\models\Gitlab */

$this->title = 'Сопоставление проектов';
$this->params['breadcrumbs'][] = ['label' => 'Проекты', 'url' => ['/core/project-list/index']];
$this->params['breadcrumbs'][] = $this->title;
?>

<?php Card::begin(); ?>
<div class="docs-hint">
    <a href="/docs#project-mapping">Документация</a>
</div>
<form action="<?=Url::to(['sync'])?>" method="POST">
    <input type="hidden" name="<?=Yii::$app->request->csrfParam; ?>" value="<?=Yii::$app->request->getCsrfToken(); ?>" />
    <div class="row">
        <div class="col-md-6">
            <label>Planfix</label>
            <?=Select2::widget([
                'name' => 'project_planfix',
                'data' => $planfixProjects,
            ])?>
        </div>
        <div class="col-md-6">     
            <label>Gitlab</label>       
            <?=Select2::widget([
                'name' => 'project_gitlab',
                'data' => $gitlabProjects,
            ])?>
        </div>        
    </div>
    <div class="row">
        <div class="col-sm-12 mt-2">
            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" id="syncTasksPlanfix" name="syncTasksPlanfix">
                <label class="form-check-label" for="syncTasksPlanfix">
                    Импортировать задачи из Planfix
                </label>
            </div>
            <div class="form-check">
                <input class="form-check-input" type="checkbox" value="1" id="syncTasksGitlab" name="syncTasksGitlab">
                <label class="form-check-label" for="syncTasksGitlab">
                    Импортировать задачи из Gitlab
                </label>
            </div>
            <button type="submit" class="btn btn-success">Добавить</button>
        </div>
    </div>
</form>
<?php Card::end(); ?>