<?php

use yii\helpers\Html;
use kartik\form\ActiveForm;
use platform\widgets\Card;
use app\planfix\classes\PFApi;
use yii\helpers\ArrayHelper;
use Gitlab\Model\Project;

/* @var $this yii\web\View */
/* @var $model app\core\models\CoreStatus */
/* @var $form yii\widgets\ActiveForm */
$labels = [];
try {
    $gitlabProject = new Project($model->project->gitlab_id, Yii::$app->gitlab->client);
    $labels = ArrayHelper::map($gitlabProject->labels(), 'id', 'name');
} catch (Exception $e) {
    Yii::$app->session->addFlash('error', 'Не удалось получить метки');
}

?>

<div class="row">
    <div class="col-sm-12">
        <div class="core-status-form">
            <?php $form = ActiveForm::begin(); ?>
            <?php Card::begin([
            'footer' => Html::submitButton($model->isNewRecord ? 'Create'            : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn
            btn-primary'])
            ]); ?>
                <?= $form->field($model, 'planfix_id')->dropDownList(ArrayHelper::map(PFApi::getPlanfixStatusList(), 'id', 'name'), ['prompt' => 'Статус Планфикс']) ?>
    <?= $form->field($model, 'label')->dropDownList($labels, ['prompt' => 'Метка Gitlab']) ?>
            <?php Card::end(); ?>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
</div>