<?php

use yii\helpers\Html;
use platform\widgets\Card;
use yii\grid\GridView;
use yii\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $searchModel app\core\models\CoreStatusSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Core Statuses';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="core-status-index">
    <?php Card::begin([
        'title' => 'Список',
        'tools' => Html::a('<i class="fa fa-plus-circle"></i> Добавить', ['create', 'project_id' => $project_id], ['class' => 'btn btn-primary'])
    ]); ?>
    <p class="mt-2">
        Данный функционал используется для настройки соответствия между разноименными статусами, например, если статус "Development" в Gitlab должен соответствовать статусу "Разработка" в Планфикс
    </p>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
    <?php Pjax::begin(); ?>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [

            'id',
            'planfix_id',
            'label',
            'project_id',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
    <?php Pjax::end(); ?>
    <?php Card::end(); ?>
</div>
