<?php

use yii\helpers\Html;
use yii\widgets\DetailView;
use platform\widgets\Card;

/* @var $this yii\web\View */
/* @var $model app\core\models\CoreStatus */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Core Statuses', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>

<div class="core-status-view">
    <?php  Card::begin([
        'title' => $this->title,
        'tools' =>
            Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) . ' ' .
            Html::a(
                'Delete',
                ['delete', 'id' => $model->id],
                [
                    'class' => 'btn btn-danger',
                    'data' => [
                    'confirm' => 'Are you sure you want to delete this item?',
                    'method' => 'post',
                    ],
                ]
            )
    ]) ?>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'planfix_id',
            'label',
            'project_id',
        ],
    ]) ?>

    <?php Card::end(); ?>
</div>
