<?php

use yii\helpers\Html;
use kartik\form\ActiveForm;
use platform\widgets\Card;
use app\core\models\IssueComment;
use app\core\models\Issue;
use app\core\models\Project;

/* @var $this yii\web\View */
/* @var $model amylabs\user\models\User */
/* @var $form yii\widgets\ActiveForm */
$tasks = [];

$comments = IssueComment::find()->where(['creator_id' => $model->id])->select(['issue_id'])->all();
$initIssue = Issue::findOne($model->init_issue_id);
$initProject = Project::findOne($model->init_project_id);

foreach ($comments as $comment) {
    if (!isset($tasks[$comment->issue_id])) {
        $tasks[$comment->issue_id] = 0;
    }
    $tasks[$comment->issue_id] += 1;
}

?>

<div class="row">
    <div class="col-md-6">
        <div class="user-form">
            <?php $form = ActiveForm::begin(); ?>
            <?php Card::begin([
            'footer' => Html::submitButton($model->isNewRecord ? 'Create'            : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn
            btn-primary'])
            ]); ?>
                <?= $form->field($model, 'username')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'first_name')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'last_name')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'middle_name')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'planfix_id')->textInput() ?>
    <?= $form->field($model, 'gitlab_id')->textInput() ?>
            <?php Card::end(); ?>
            <?php ActiveForm::end(); ?>
        </div>
    </div>
    <div class="col-md-6">
        <?php Card::begin([
            'title' => 'Активность'
        ]); ?>
        <?php if ($initIssue) : ?>
            <p>Происхождение: <?=$initIssue->project->title?> / <?=$initIssue->title?></p>
        <?php endif;?>
        <?php if ($initProject) : ?>
            <p>Происхождение: <?=$initProject->title?></p>
        <?php endif;?>
        <ul>
            <?php foreach ($tasks as $id => $count) :?>
                <?php
                if (!$id || !$issue = Issue::findOne($id)) {
                    continue;
                }
                ?>
                <li><?=$issue->project->title?> / <?=$issue->title?> - <?=$count?> комментариев</li>
            <?php endforeach; ?>
        </ul>
        <?php Card::end(); ?>
    </div>

</div>