<?php

use yii\helpers\Html;
use platform\widgets\Card;
use yii\grid\GridView;
use yii\widgets\Pjax;

/* @var $this yii\web\View */
/* @var $searchModel app\core\models\UserSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Пользователи';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="user-index">
    <?php Card::begin([
        'title' => 'Список',
        'tools' => Html::a('<i class="fa fa-plus-circle"></i> Сопоставить', ['/core/user/index'], ['class' => 'btn btn-primary'])
    ]); ?>
    <div class="docs-hint">
        <a href="/docs#user-mapping">Документация</a>
    </div>

    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>
    <?php Pjax::begin(); ?>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            // 'id',
            'username',
            // 'auth_key',
            // 'password_hash',
            'email:email',
            'first_name',
            'last_name',
            // 'status',
            // 'access_token',
            // 'created_at',
            // 'updated_at',
            // 'is_email_confirmed:email',
            // 'visited_at',
            'planfix_id',
            'gitlab_id',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
    <?php Pjax::end(); ?>
    <?php Card::end(); ?>
</div>
