<?php
use yii\helpers\Url;
use kartik\select2\Select2;
use platform\widgets\Card;

/* @var $this yii\web\View */
/* @var $model app\core\models\Gitlab */

$this->title = 'Сопоставление пользователей';
$this->params['breadcrumbs'][] = ['label' => 'Пользователи', 'url' => ['/core/user-list/index']];
$this->params['breadcrumbs'][] = $this->title;

?>

<?php Card::begin(); ?>
<div class="docs-hint">
    <a href="/docs#user-mapping">Документация</a>
</div>
<form action="<?=Url::to(['sync'])?>" method="POST">
    <input type="hidden" name="<?=Yii::$app->request->csrfParam; ?>" value="<?=Yii::$app->request->getCsrfToken(); ?>" />
    <div class="row">
        <div class="col-md-6">
            <label>Planfix</label>
            <?=Select2::widget([
                'name' => 'user_planfix',
                'data' => $planfixUsers,
            ])?>
        </div>
        <div class="col-md-6">     
            <label>Gitlab</label>       
            <?=Select2::widget([
                'name' => 'user_gitlab',
                'data' => $gitlabUsers,
                'options' => [
                    'prompt' => 'Выберите пользователя',
                ],
                'pluginOptions' =>[
                    'ajax' => [
                        'url' => Url::to(['/core/gitlab/users-search']),
                        'dataType' => 'json',
                        'delay' => 250,
                        'cache' => true,
                    ]
                ],
            ])?>
        </div>        
    </div>
    <div class="row">
        <div class="col-sm-12 mt-2">            
            <button type="submit" class="btn btn-success">Добавить</button>
        </div>
    </div>
</form>
<?php Card::end(); ?>