<?php

use app\core\models\RequestLog;
use platform\widgets\Card;

$requests = RequestLog::find()->orderBy(['date' => SORT_DESC])->limit(365)->all();

$dataByServices = [];
$series = [];


foreach ($requests as $request) {
    if (!isset($dataByServices[$request->service])) {
        $dataByServices[$request->service] = [
            'name' => $request->service,
            'data' => []
        ];
    }

    $dataByServices[$request->service]['data'][] = [
        $request->date,
        $request->count,
    ];
}

$series = array_values($dataByServices);

Card::begin(['title' => 'Количество запросов']);

if (!count($requests)) {
    echo 'Нет запросов.';
} else {
    echo \onmotion\apexcharts\ApexchartsWidget::widget([
        'type' => 'bar', // default area
        'width' => '75%',
        // 'height' => '400', // default 350
        'chartOptions' => [
            'chart' => [
                'toolbar' => [
                    'show' => true,
                    'autoSelected' => 'zoom'
                ],
            ],
            'xaxis' => [
                'type' => 'datetime',
                // 'categories' => $categories,
            ],
            'plotOptions' => [
                'bar' => [
                    'horizontal' => false,
                    // 'endingShape' => 'rounded'
                ],
            ],
            'dataLabels' => [
                'enabled' => false
            ],
            'stroke' => [
                'show' => true,
                'colors' => ['transparent']
            ],
            'legend' => [
                'verticalAlign' => 'bottom',
                'horizontalAlign' => 'left',
            ],
        ],
        'series' => $series
    ]);
}
Card::end();
?>

<style type="text/css">
    .apexcharts-canvas {
        margin: auto;
    }
</style>