<?php
return [
    'bootstrap' => [
        \app\core\BootstrapFrontend::class
    ],
    'defaultRoute' => '/core/index',

    'components' => [
        'urlManager' => [
            'rules' => [
                '/docs' => '/core/index/docs',
                '/version' => '/core/index/version',
                '/package' => '/core/index/package',
                '/faq' => '/core/index/faq',
            ],
        ],
    ],

    'modules' => [
        'core' => [
            'class' => \yii\base\Module::class,
            'controllerNamespace' => 'app\core\frontend\controllers',
            'viewPath' => '@app/core/frontend/views',
        ],
    ],
    'as access' => [
        'class' => yii2mod\rbac\filters\AccessControl::class,
        'allowActions' => [
            'platform/site/*',
            'core/index/create-admin',
            'planfix/webhook/*',
            'gitlab/webhook/*',
            'core/index/version',
            'core/index/version-history',
            'update/log/remote',
        ],
        'rules' => [
            // allow authenticated users
            [
                'allow' => true,
                'roles' => ['admin'],
            ],
        ],
    ],
];
