<?php
namespace app\core\console\controllers;

use ZipArchive;
use RecursiveIteratorIterator;
use RecursiveDirectoryIterator;
use Yii;
use yii\console\Controller;

class PackageController extends Controller
{
    
    public function actionIndex()
    {
        $rootDir = Yii::getAlias('@project');
        echo $rootDir . PHP_EOL;

        $tmpDir = sys_get_temp_dir() . '/' . uniqid();
        mkdir($tmpDir);
        echo $tmpDir . PHP_EOL;

        $version = shell_exec("cd $rootDir; git log --pretty=format:'%h' -n 1");

        if (!$version) {
            return false;
        }

        echo $version . PHP_EOL;

        shell_exec("cp -r $rootDir $tmpDir");
        $lastDirName = explode('/', $rootDir);
        $lastDirName = $lastDirName[count($lastDirName) - 1];

        $tmpDir .= '/' . $lastDirName;

        unlink($tmpDir . '/configs/main-local.php');
        unlink($tmpDir . '/configs/plugins-local.php');
        unlink($tmpDir . '/configs/project-local.php');

        unlink($tmpDir . '/configs/backend/main-local.php');
        unlink($tmpDir . '/configs/frontend/main-local.php');
        unlink($tmpDir . '/configs/console/main-local.php');

        unlink($tmpDir . '/web/index.php');
        unlink($tmpDir . '/web/backend/index.php');

        unlink($tmpDir . '/yii');

        shell_exec("rm -rf $tmpDir/web/static/assets/*");
        shell_exec("rm -rf $tmpDir/web/static/uploads/*");
        shell_exec("rm -rf $tmpDir/web/static/thumbs/*");
        shell_exec("rm -rf $tmpDir/web/static/packages/*");

        shell_exec("rm -rf $tmpDir/runtime/backend/cache/*");
        shell_exec("rm -rf $tmpDir/runtime/frontend/cache/*");
        shell_exec("rm -rf $tmpDir/runtime/console/cache/*");

        $this->createZip($version, $rootDir, $tmpDir);

        shell_exec("rm -rf " . realpath("$tmpDir/../"));

        Yii::$app->settings->set('app.core', 'last-version', $version);
        echo "Done";
    }

    private function createZip($version, $rootDir, $tmpDir)
    {
        $rootPath = realpath($tmpDir);

        if (!file_exists("$rootDir/web/static/packages")) {
            mkdir("$rootDir/web/static/packages");
        }
        // Initialize archive object
        $zip = new ZipArchive();
        $zip->open("$rootDir/web/static/packages/gitpf-$version.zip", ZipArchive::CREATE | ZipArchive::OVERWRITE);

        // Create recursive directory iterator
        /** @var SplFileInfo[] $files */
        $files = new RecursiveIteratorIterator(
            new RecursiveDirectoryIterator($rootPath),
            RecursiveIteratorIterator::LEAVES_ONLY
        );

        foreach ($files as $name => $file) {
            // Skip directories (they would be added automatically)
            if (!$file->isDir()) {
                // Get real and relative path for current file
                $filePath = $file->getRealPath();
                $relativePath = substr($filePath, strlen($rootPath) + 1);

                // Add current file to archive
                $zip->addFile($filePath, $relativePath);
            }
        }

        // Zip archive will be created only after closing object
        $zip->close();

        return true;
    }
}
