<?php

$this->title = 'FAQ';

$answers = [

    [
        'question' => 'Что такое GitPF?',
        'answer' => 'GitPF это интеграция между GitLab и Planfix',
    ],
    [
        'question' => 'Что делает GitPF?',
        'answer' => 'GitPF синхронизирует задачи, комментарии, затраченное время между системами',
    ],
    [
        'question' => 'Зачем это нужно?',
        'answer' => 'GitLab CE - удобная среда для разработчика. GitLab предоставляет такие возможности, как создание issue, milestone в рамках проекта, где разработчики имеют возможности планировать и обсуждать задачи. Однако, GitlabCE не предоставляет гибкого функционала отчетности и планирования, который есть в Планфикс. Данная интеграция нацелена на решение задач отчетности и планирования, используя Планфикс (менеджерская среда), в то время как GitLab остается средой для разработчика, без необходимости переключения между системами',
    ],
    [
        'question' => 'Как этим пользоваться?',
        'answer' => 'Процесс установки и использования описан в <a href="/docs">документации</a>',
    ],
    [
        'question' => 'Почему задача из Планфикс не попадает в GitLab',
        'answer' => 'Убедитесь, что вы установили конфигурацию Планфикс и выбрали шаблон задачи "Задача на разработку". Если эти шаги были выполнены, проверьте соответствие проектов и лог ошибок в панели управления',
    ],
    [
        'question' => 'Как проставить время в GitLab?',
        'answer' => 'Для того, чтобы проставить время в GitLab, используйте комманду <a href="https://docs.gitlab.com/ce/user/project/time_tracking.html">/spend</a>. Для этого напишите комментарий в задаче с содержимым /spend 10m',
    ],
    [
        'question' => 'Как обновить продукт?',
        'answer' => 'Процесс обновления происходит автоматически (по CRON), если в код продукта не были внесены изменения. Если Вы хотите обновить продукт вручную, используйте комманду <pre>php yii update/updater/update</pre>',
    ],
    [
        'question' => 'Я хочу функционал, которого нет в интеграции?',
        'answer' => 'Вы можете связаться с <a href="mailto:mailbox@poravinternet.ru">нами</a> или доработать продукт самостоятельно',
    ],
    [
        'question' => 'У меня что-то не работает, что делать?',
        'answer' => 'Проверьте лог ошибок в панели управления, правильность настройки продукта согласно <a href="/docs">документации</a>. Если ошибка продолжает возникать, вы можете связаться с <a href="mailto:mailbox@poravinternet.ru">нами</a>',
    ],
    [
        'question' => 'Кто разрабатывает GitPF',
        'answer' => 'Разработкой и поддержкой GitPF занимается <a href="https://poravinternet.ru">Агенство Первый Интернет Проект</a>',
    ],
]
?>

<div class="panel-group" id="faqAccordion">
        <?php foreach ($answers as $key => $row) :?>
        <div class="panel panel-default ">
            <div class="panel-heading accordion-toggle question-toggle" data-toggle="collapse" data-parent="#faqAccordion" data-target="#question<?=$key?>" aria-expanded="true">
                 <h4 class="panel-title">
                    <a href="javascript:;" class="ing"><?=$row['question']?></a>
              </h4>

            </div>
            <div id="question<?=$key?>" class="panel-collapse collapse in" style="" aria-expanded="true">
                <div class="panel-body">                    
                    <p><?=$row['answer']?></p>
                </div>
            </div>
        </div>
        <?php endforeach;?>        
    </div>