<?php

namespace app\core\helpers;

class TextHelper
{
    public static function replaceUrlsWithLinks($text)
    {
        $result = preg_replace("#(^|[\n ])([\w]+?://[\w\#$%&~/.\-;:=,?@\[\]+]*)#is", "\\1<a href=\"\\2\" target=\"_blank\" rel=\"nofollow\">\\2</a>", $text);

        return $result;
    }

    /**
     * Функция возвращает окончание для множественного числа слова на основании числа и массива окончаний
     * @param  $number Integer Число на основе которого нужно сформировать окончание
     * @param  $endingArray [] Массив слов или окончаний для чисел (1, 4, 5),
     *         например array('яблоко', 'яблока', 'яблок')
     * @return String
     */
    public static function getNumEnding($number, $endingArray)
    {
        $number = $number % 100;
        if ($number >= 11 && $number <= 19) {
            $ending = $endingArray[2];
        } else {
            $i = $number % 10;
            switch ($i) {
                case (1):
                    $ending = $endingArray[0];
                    break;
                case (2):
                case (3):
                case (4):
                    $ending = $endingArray[1];
                    break;
                default:
                    $ending = $endingArray[2];
            }
        }
        return $ending;
    }

    public static function removeEmojis($text)
    {
        return preg_replace('/[\x{10000}-\x{10FFFF}]/u', '', $text);
    }

    public static function cleanPhone($phone, $firstNum = null)
    {
        $phone = preg_replace('~\D~', '', $phone);

        if ($firstNum) {
            $phone = $firstNum . substr($phone, 1);
        }

        return $phone;
    }

    public static function formatPhone($phone)
    {
        $result = self::cleanPhone($phone, 7);
        $result = preg_replace('~\D~', '', $result);

        if (preg_match('/^(\d)(\d{3})(\d{3})(\d{2})(\d{2})$/', $result, $matches)) {
            $result = '+' . $matches[1] . ' (' . $matches[2] . ') ' . $matches[3] . '-' . $matches[4] . '-' . $matches[5];
        } else {
            $result = $phone;
        }

        return $result;
    }
}
