<?php

namespace app\core\helpers;

use Yii;
use Gitlab\Model\Project as GitlabProject;
use Gitlab\Model\Issue as GitlabIssue;
use app\core\models\Time;

class TimeSyncHelper
{

    public static function syncTimePlanfix($time, $issue, $oldTime = null)
    {
        if ($time->gitlab_id && $oldTime) {
            static::spendCommand($oldTime, $issue, true);
        }

        static::spendCommand($time, $issue);
    }

    public static function spendCommand($time, $issue, $reverse = false, $comment = "Добавлено время из Планфикс")
    {
        $gitlabProject = new GitlabProject($issue->project->gitlab_id, Yii::$app->gitlab->client);
        $gitlabIssue = new GitlabIssue($gitlabProject, $issue->gitlab_id, Yii::$app->gitlab->client);
        
        $seconds = $time->time;
        if ($reverse) {
            $seconds = 0 - $seconds;
        }
        

        $res = Yii::$app->gitlab->raw("/projects/$gitlabProject->id/issues/$gitlabIssue->iid/notes", [
            'sudo' => $time->user->gitlab_id,
        ], [
            'body' => "/spend " . ($seconds) . "s" . " " . date('Y-m-d', strtotime($time->date)) . "   \r\n $comment"
        ], true);

        $comments = Yii::$app->gitlab->client->issues()->showComments($gitlabProject->id, $issue->gitlab_id);

        if (Yii::$app->gitlab->parseIssueTime($comments[0]['body']) == $time->time) {
            $time->gitlab_id = $comments[0]['id'];
            $time->save();
        }
        
        // die(print_r($comments, true));
    }

    public static function deletePlanfixTime($key)
    {
        $time = Time::find()->where(['planfix_id' => $key])->one();

        if (!$time) {
            return false;
        }

        static::spendCommand($time, $time->issue, true, 'Удалено время из Planfix');

        $time->delete();
    }
}
