<?php

use yii\db\Schema;
use yii\db\Migration;

class m191211_140751_core_issue extends Migration
{

    public function init()
    {
        $this->db = 'db';
        parent::init();
    }

    public function safeUp()
    {
        $tableOptions = 'ENGINE=InnoDB';

        $this->createTable(
            '{{%core_issue}}',
            [
                'id'=> $this->primaryKey(11),
                'gitlab_id'=> $this->integer(11)->null()->defaultValue(null),
                'planfix_id'=> $this->integer(11)->null()->defaultValue(null),
                'title'=> $this->string(255)->null()->defaultValue(null),
                'description'=> $this->text()->null()->defaultValue(null),
                'description_gitlab'=> $this->text()->null()->defaultValue(null),
                'due_date'=> $this->datetime()->null()->defaultValue(null),
                'labels'=> $this->string(255)->null()->defaultValue(null),
                'status'=> $this->string(255)->null()->defaultValue(null),
                'assignee_id'=> $this->integer(11)->null()->defaultValue(null),
                'project_id'=> $this->integer(11)->null()->defaultValue(null),
                'creator_id'=> $this->integer(11)->null()->defaultValue(null),
                'created_at'=> $this->datetime()->null()->defaultValue(null),
            ],
            $tableOptions
        );
    }

    public function safeDown()
    {
        $this->dropTable('{{%core_issue}}');
    }
}
