<?php

use yii\db\Schema;
use yii\db\Migration;

class m191212_114840_core_issue_comment extends Migration
{

    public function init()
    {
        $this->db = 'db';
        parent::init();
    }

    public function safeUp()
    {
        $tableOptions = 'ENGINE=InnoDB';

        $this->createTable(
            '{{%core_issue_comment}}',
            [
                'id'=> $this->primaryKey(11),
                'text'=> $this->text()->notNull(),
                'text_gitlab'=> $this->text()->notNull(),
                'files'=> $this->text()->notNull(),
                'pf_time'=> $this->text()->notNull(),
                'pf_time_old'=> $this->text()->notNull(),
                'issue_id'=> $this->integer(11)->notNull(),
                'creator_id'=> $this->integer(11)->notNull(),
                'is_log'=> $this->integer(11)->notNull()->defaultValue(0),
                'created_at'=> $this->datetime()->null()->defaultValue(null),
                'updated_at'=> $this->datetime()->null()->defaultValue(null),
                'gitlab_id'=> $this->integer(11)->null()->defaultValue(null),
                'planfix_id'=> $this->integer(11)->null()->defaultValue(null),
                'notify_list'=> $this->string(255)->null()->defaultValue(null),
            ],
            $tableOptions
        );
    }

    public function safeDown()
    {
        $this->dropTable('{{%core_issue_comment}}');
    }
}
