<?php

namespace app\core\models;


use yii\db\ActiveRecord;

/**
 * This is the model class for table "app_user".
 *
 * @property int $id
 * @property string|null $username
 * @property string|null $email
 * @property int|null $planfix_id
 * @property int|null $gitlab_id
 * @property string|null $first_name
 * @property string|null $last_name
 * @property string|null $middle_name
 * @property string|null $phone
 * @property int|null $init_issue_id User came from issue
 * @property int|null $init_project_id User came from project
 */
class AppUser extends ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'app_user';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['planfix_id', 'gitlab_id', 'init_issue_id', 'init_project_id'], 'integer'],
            [['username', 'first_name', 'last_name', 'middle_name', 'phone', 'email'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'username' => 'Имя пользователя',
            'email' => 'Email',
            'planfix_id' => 'Planfix ID',
            'gitlab_id' => 'Gitlab ID',
            'first_name' => 'Имя',
            'last_name' => 'Фамилия',
            'middle_name' => 'Отчество',
            'phone' => 'Телефон',
        ];
    }

    public function getProfile()
    {
        return $this;
    }
}
