<?php

namespace app\core\models;

use Yii;

/**
 * This is the model class for table "core_status".
 *
 * @property int $id
 * @property int $planfix_id
 * @property string $label
 * @property int $project_id
 *
 * @property CoreProject $project
 */
class CoreStatus extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'core_status';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['planfix_id', 'project_id'], 'integer'],
            [['label'], 'string', 'max' => 255],
            [['project_id'], 'exist', 'skipOnError' => true, 'targetClass' => Project::className(), 'targetAttribute' => ['project_id' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'planfix_id' => 'Planfix ID',
            'label' => 'Label',
            'project_id' => 'Project ID',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getProject()
    {
        return $this->hasOne(Project::className(), ['id' => 'project_id']);
    }
}
