<?php

namespace app\core\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\core\models\CoreStatus;

/**
 * CoreStatusSearch represents the model behind the search form about `app\core\models\CoreStatus`.
 */
class CoreStatusSearch extends CoreStatus
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'planfix_id', 'project_id'], 'integer'],
            [['label'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params, $project_id)
    {
        $query = CoreStatus::find()->where([
            'project_id' => $project_id
        ]);

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id' => $this->id,
            'planfix_id' => $this->planfix_id,
            'project_id' => $this->project_id,
        ]);

        $query->andFilterWhere(['like', 'label', $this->label]);

        return $dataProvider;
    }
}
