<?php

namespace app\core\models;

use Yii;

/**
 * This is the model class for table "core_planfix".
 *
 * @property int $id
 * @property string $account
 * @property string $api_key
 * @property string $api_secret
 * @property string $api_server
 */
class Planfix extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'core_planfix';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['account', 'api_key', 'api_secret'], 'string', 'max' => 255],
            [['api_server'], 'url'],
            [['tpl_dev_id', 'pr_field_lead_dev', 'time_analytic_id', 'time_analytic_date_id', 'time_analytic_time_id', 'time_analytic_user_id', 'process_id', 'default_status_id'], 'integer']
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'account' => 'Account',
            'api_key' => 'Api Key',
            'api_secret' => 'Api Secret',
            'api_server' => 'Api Server',
            'tpl_dev_id' => 'Шаблон задачи на разработку',
            'pr_field_lead_dev' => 'Поле "Ведущий программист"',
            'time_analytic_id' => 'Аналитика Фактическое время работы',
            'time_analytic_time_id' => 'Поле время',
            'time_analytic_date_id' => 'Поле дата',
            'time_analytic_user_id' => 'Поле сотрудник',
            'process_id' => 'Процесс',
            'default_status_id' => 'Статус при отсутствии метки'
        ];
    }
}
