<?php

namespace app\core\models;

use app\core\models\AppUser as User;
use yii\db\ActiveRecord;

/**
 * This is the model class for table "core_time".
 *
 * @property int $id
 * @property int $planfix_id
 * @property int $gitlab_id
 * @property int $user_id
 * @property int $time
 * @property string $date
 * @property int $issue_id
 * @property int $action_id
 * @property User $user
 */
class Time extends ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'core_time';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['planfix_id', 'gitlab_id', 'user_id', 'time'], 'integer'],
            [['date'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'planfix_id' => 'Planfix ID',
            'gitlab_id' => 'Gitlab ID',
            'user_id' => 'User ID',
            'time' => 'Time',
            'date' => 'Date',
        ];
    }

    public function getUser()
    {
        return $this->hasOne(User::class, ['id' => 'user_id']);
    }

    public function getIssue()
    {
        return $this->hasOne(Issue::class, ['id' => 'issue_id']);
    }
}
