<?php
namespace app\gitlab\jobs;

use Exception;
use yii\base\BaseObject;
use app\gitlab\models\Event as EventModel;
use app\gitlab\utils\EventParser;
use Yii;
use yii\queue\JobInterface;

class Event extends BaseObject implements JobInterface
{
    public $event_id = null;
    
    public function execute($queue)
    {
        try {
            $event = EventModel::findOne([
                'id'     => $this->event_id
            ]);

            if ($event) {
                EventParser::parse($event, $event->project);
                return true;
            }
        } catch (Exception $e) {
            Yii::$app->impulse->air('app_error', '[Ошибка] Event Job ' . $e->getMessage() . ' in ' . $e->getFile() . ' on line' . $e->getLine() . ' stack trace: ' . $e->getTraceAsString());
        }

        return false;
    }
}
