<?php

namespace app\planfix\frontend\controllers;

use Yii;
use yii\helpers\VarDumper;
use yii\web\BadRequestHttpException;
use yii\web\Response;
use yii\web\Controller;
use app\planfix\jobs\SyncProject;
use app\planfix\jobs\SyncIssue;

/**
 * Class WebhookController
 *
 * @package app\planfix\frontend\controllers
 */
class WebhookController extends Controller
{

    public function actionIssue()
    {
        if (!Yii::$app->getRequest()->getIsPost()) {
            throw new BadRequestHttpException();
        }

        Yii::$app->response->format = Response::FORMAT_JSON;
        $request = Yii::$app->request;
        // ID задачи в планфиксе
        $taskId = $request->post('issue_id', '');
        Yii::$app->impulse->air('planfix.issue', VarDumper::dumpAsString(Yii::$app->request->post(), 10));

        $id = Yii::$app->queue->push(new SyncIssue([
            'issue_id' => $taskId,
        ]));

        return ['status' => 'ok', 'id' => $id];
    }

    public function actionProject()
    {
        Yii::$app->response->format = Response::FORMAT_JSON;
        $request = Yii::$app->request;
        Yii::$app->impulse->air('planfix.project', VarDumper::dumpAsString(Yii::$app->request->post(), 10));
        // ID задачи в планфиксе
        $issueId = $request->post('issue_id', '');
        // ID проекта в планфиксе
        $projectId = $request->post('project_id', '');

        $id = Yii::$app->queue->push(new SyncProject([
            'project_id' => $projectId,
            'issue_id' => $issueId,
        ]));

        return ['ok', 'id' => $id];
    }

    public function beforeAction($action)
    {
        $this->enableCsrfValidation = false;
        if (parent::beforeAction($action)) {
            return true;
        }
        return false;
    }



    public function actionIndex()
    {
        return 'Тут ничего нет';
    }

}
