<?php
namespace app\planfix\jobs;

use app\planfix\classes\PFApi;
use Throwable;
use yii\base\BaseObject;
use Yii;
use yii\queue\JobInterface;

class SyncIssue extends BaseObject implements JobInterface
{
    public $issue_id = null;
    
    public function execute($queue)
    {
        try {
            PFApi::syncIssuePlanfix($this->issue_id);
        } catch (Throwable $e) {
            Yii::$app->impulse->air('app_error', '[Ошибка] SyncIssue Job ' . $e->getMessage() . ' in ' . $e->getFile() . ' on line' . $e->getLine() . ' stack trace: ' . $e->getTraceAsString());
            echo $e->getFile();
        }
        return true;
    }
}
