<?php
namespace app\planfix\jobs;

use app\planfix\classes\PFApi;
use Exception;
use yii\base\BaseObject;
use Yii;
use yii\queue\JobInterface;

class SyncProject extends BaseObject implements JobInterface
{
    public $issue_id = null;
    public $project_id = null; // planfix project id
    
    public function execute($queue)
    {
        try {
            PFApi::syncPlanfixProject($this->project_id);
            PFApi::syncIssuePlanfix($this->issue_id);
        } catch (Exception $e) {
            Yii::$app->impulse->air('app_error', '[Ошибка] SyncProject Job '. $e->getMessage() . ' in ' . $e->getFile() . ' on line' . $e->getLine() . ' stack trace: ' . $e->getTraceAsString());
        }
    }
}
