<?php

namespace app\planfix\models;

use Yii;

/**
 * This is the model class for table "planfix_project".
 *
 * @property int $id
 * @property string $name
 * @property string $description
 * @property int $owner_id
 * @property int $client_id
 */
class PlanfixProject extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'planfix_project';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['description'], 'string'],
            [['owner_id', 'client_id'], 'integer'],
            [['name'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'name' => 'Name',
            'description' => 'Description',
            'owner_id' => 'Owner ID',
            'client_id' => 'Client ID',
        ];
    }

    public function getPlanfixUrl()
    {
        return 'https://poravinternet.planfix.ru/?action=tasks&filter=:all&project='.$this->id;
    }
}
